thread_args Struct Reference
Collaboration diagram for thread_args:
[legend]

## Data Fields

int(* | func )(void *)
void * | data
SDL_Thread * | info
SDL_sem * | wait

## Detailed Description

Definition at line 255 of file SDL_thread.c.

## Field Documentation

void* thread_args::data

Definition at line 258 of file SDL_thread.c.

Referenced by SDL_CreateThread(), and SDL_RunThread().

int( * thread_args::func) (void *)

Definition at line 257 of file SDL_thread.c.

Referenced by SDL_CreateThread(), and SDL_RunThread().

SDL_Thread* thread_args::info

Definition at line 259 of file SDL_thread.c.

Referenced by SDL_CreateThread(), and SDL_RunThread().

SDL_sem* thread_args::wait

Definition at line 260 of file SDL_thread.c.

Referenced by SDL_CreateThread(), and SDL_RunThread().

The documentation for this struct was generated from the following file:

- src/thread/SDL_thread.c